%define	desktop_vendor startcom

%if "%{fedora}" >= "6"
%define fluidver 1.0.7
%else
%define fluidver 1.0.7a
%endif

Summary: Soundfont editor
Name: swami
Version: 0.9.4
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://swami.sourceforge.net/
Source0: http://dl.sf.net/sourceforge/swami/swami-%{version}.tar.bz2
Source1: swami.desktop
Source2: swami-get-cvs
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# add a explicit requires for the current version of fluidsynth
%if "%{fedora}" >= "6"
Requires:     fluidsynth-libs = %{fluidver}
%else
Requires:     libfluidsynth = %{fluidver}
%endif

# obsolete old libswami packages
Obsoletes:    libswami < 0.9.2 libswami-devel < 0.9.2

BuildRequires: xorg-x11-proto-devel gnome-libs-devel gtk-canvas-devel lash-devel
BuildRequires: pkgconfig jack-audio-connection-kit-devel desktop-file-utils
BuildRequires: libpng-devel libsndfile-devel
BuildRequires: libtool autoconf automake gettext-devel
%if "%{fedora}" >= "6"
BuildRequires: fluidsynth-devel
%else
BuildRequires: libfluidsynth-devel
%endif
%if "%{fedora}" >= "8"
BuildRequires: popt-devel
%endif

%description
Swami is an instrument patch file editor using SoundFont files that allows
you to create and distribute instruments from audio samples used for
composing music. It uses fluidsynth, a software synthesizer, which has real
time effect control, support for modulators, and routable audio via Jack.
This project supersedes the Smurf Sound Font Editor, and is an entire
object-oriented rewrite of it. The supporting libraries are GUI-independent
and can be used in your own programs for doing SoundFont manipulation.
%if "%{?cvsdate}" != ""
This CVS snapshot was downloaded on %{cvsdate}, handle with care.
%endif

%prep
%setup -q

%build
# new naming for ladcca -> lash
find . -type f -exec %{__perl} -p -i -e "s|LADCCA|LASH|g" {} \;
find . -type f -exec %{__perl} -p -i -e "s|CCA|LASH|g" {} \;
find . -type f -exec %{__perl} -p -i -e "s|ladcca|lash|g" {} \;
find . -type f -exec %{__perl} -p -i -e "s|cca_|lash_|g" {} \;

%if "%{fedora}" >= "7"
# pick up the newer auto* tools
if [ -x autogen.sh ] ; then
    ./autogen.sh
fi
%endif

%configure
%{?fc5:find . -type f -exec %{__perl} -p -i -e "s|-lSM -lICE||g" {} \;}
%{__make} MKINSTALLDIRS=%{_builddir}/swami-%{version}/mkinstalldirs %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} MKINSTALLDIRS=%{_builddir}/swami-%{version}/mkinstalldirs \
          DESTDIR=%{buildroot} install

# desktop file categories
BASE="X-StartCom Application AudioVideo Audio"

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc 
%{_bindir}/swami
%{_libdir}/swami
%{_datadir}/applications/*swami.desktop

%changelog
* Fri Nov 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories
- add popt-devel build requirement for f8

* Fri Sep 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.4-1
- updated to 0.9.4

* Tue May  8 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.3-2
- build on fc7, use autogen.sh to use the newer versions of auto* tools
- add MKINSTALLDIRS explicitly in make invocation

* Mon Apr 16 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.3-2
- spec file tweaks, build on fc6

* Mon May 29 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.3-1
- added Planet CCRMA categories to desktop file, spec file cleanups
- updated to 0.9.3

* Fri Nov 18 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-3
- rebuild for new version of fluidsynth (1.0.6)
- build requires lash (name change from ladcca)
- change all references from ladcca to lash
- added autotools build requirement (for change to lash), needs
  automake17

* Fri Dec 31 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Fri Sep 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-2
- built for new fluidsynth libraries
- set libfluidsynth require to be for the exact version, swami is
  very picky and won't work with newer versions than the one it was
  compiled with

* Thu May 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added code to recognize libpng12.pc in configure

* Wed May 12 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added buildrequires

* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-1
- updated to 0.9.2
- patched config.status to force recognition of libpng
- erased and obsoleted old libswami and libswami-devel packages

* Mon Nov 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1a-3
- spec file tweaks, autogen ommited, does not work on FC1

* Fri Jul 25 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-3
- rebuilt for fluidsynth 1.0.3
- added release tags and an explicit dependency with the current 
  version of libfluidsynth

* Fri Jul 25 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-2
- rebuilt for fluidsynth 1.0.2

* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- updated to 0.9.1a

* Thu Mar  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-1.cvs
- cvs: 20030306.185320

* Thu Feb 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-1.cvs
- adapted from mandrake spec file
- switched over to cvs swami

* Fri Jan 31 2003 Austin Acton <aacton@yorku.ca> 0.9.0-1mdk
- adapted spec file from Torbjorn Turpeinen <tobbe@nyvalls.se>
